<?php
/**
 * Theme functions for Lazy image
 *
 * @package     Zoo Theme
 * @version     1.0.0
 * @author      Zootemplate
 * @link        https://www.zootemplate.com/
 * @copyright   Copyright (c) 2020 ZooTemplate
 
 * @des         This function will change default image by image have small size. Load default image by using defer js.
 */

/**
 * zoo_lazy_image_attributes
 * Add lazy attributes for image
 * Help for all lazy image effect for all image call by wp_get_attachment_image
 */
function zoo_lazy_image_attributes($attr, $attachment, $size)
{
    $lazy_src = get_template_directory_uri() . '/assets/images/placeholder.png';
    $attr['data-src'] = $attr['src'];
    $attr['src'] = $lazy_src;

    if(isset($attr['srcset'])) {
        $attr['data-srcset'] = $attr['srcset'];
        $attr['srcset'] =$lazy_src. ' 100w';
    }
    $attr['class'] .= ' lazy-img';
    return $attr;
}
if(get_theme_mod('zoo_enable_lazy_image',1)==1&&(!is_admin() && ! wp_doing_ajax())) {
        add_filter('wp_get_attachment_image_attributes', 'zoo_lazy_image_attributes', 1, 3);
}