<?php
/**
 * Product Quick View Template
 */
global $product;

?>
<div id="zoo-quickview-lb" class="zoo-product-quick-view woocommerce">
    <div id="product-<?php the_ID(); ?>" <?php wc_product_class('', $product); ?>>
        <a href="#" class="close-btn close-quickview" title="<?php esc_attr__('Close', 'anon') ?>"><i
                    class="cs-font clever-icon-close"></i> </a>
        <?php
        if (post_password_required()) {
            echo get_the_password_form(); // WPCS: XSS ok.
        } else {
            $post_thumbnail_id = $product->get_image_id();
            $attachment_ids    = $product->get_gallery_image_ids();
            $thumb_images='';
            ?>
            <figure class="woocommerce-product-gallery__wrapper">
                <div class="wrap-main-product-gallery">
                    <?php
                    if ( $product->get_image_id() ) {
                        $html = wc_get_gallery_image_html( $post_thumbnail_id, true );
                    } else {
                        $html = '<div class="woocommerce-product-gallery__image--placeholder">';
                        $html .= sprintf( '<img src="%s" alt="%s" class="wp-post-image" />', esc_url( wc_placeholder_img_src( 'woocommerce_single' ) ), esc_html__( 'Awaiting product image', 'woocommerce' ) );
                        $html .= '</div>';
                    }

                    echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $html, $post_thumbnail_id );
                    $thumb_images.=apply_filters('woocommerce_single_product_image_thumbnail_html', wc_get_gallery_image_html($post_thumbnail_id), $post_thumbnail_id);

                    if ( $attachment_ids && $product->get_image_id() ) {
                        foreach ( $attachment_ids as $attachment_id ) {
                            echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', wc_get_gallery_image_html( $attachment_id, true ), $attachment_id );
                            $thumb_images.=apply_filters('woocommerce_single_product_image_thumbnail_html', wc_get_gallery_image_html($attachment_id), $attachment_id);
                        }
                    }
                    ?>
                </div>
            </figure>
            <div class="summary entry-summary">
                <?php
                /**
                 * Hook: woocommerce_single_product_summary.
                 *
                 * @hooked woocommerce_template_single_title - 5
                 * @hooked woocommerce_template_single_rating - 10
                 * @hooked woocommerce_template_single_price - 10
                 * @hooked woocommerce_template_single_excerpt - 20
                 * @hooked woocommerce_template_single_add_to_cart - 30
                 * @hooked woocommerce_template_single_meta - 40
                 * @hooked woocommerce_template_single_sharing - 50
                 * @hooked WC_Structured_Data::generate_product_data() - 60
                 */
                do_action('woocommerce_single_product_summary');
                ?>
            </div>
        <?php } ?>
    </div>
</div>
